# FoundationClasses
TKernel
Message

# Message_PrinterOStream Class Reference

Implementation of a message printer associated with an ostream
The ostream may be either externally defined one (e.g. cout),
or file stream maintained internally (depending on constructor).
.

`#include <Message_PrinterOStream.hxx>`

Inheritance diagram for Message_PrinterOStream:

[legend]

## Public Member Functions

Standard_EXPORT | Message_PrinterOStream (const Message_Gravity theTraceLevel=Message_Warning)
| Empty constructor, defaulting to cout .
Standard_EXPORT | Message_PrinterOStream (const Standard_CString theFileName, const Standard_Boolean theDoAppend, const Message_Gravity theTraceLevel=Message_Warning)
| Create printer for output to a specified file. The option theDoAppend specifies whether file should be appended or rewritten. For specific file names (cout, cerr) standard streams are used .
Standard_EXPORT void | Close ()
| Flushes the output stream and destroys it if it has been specified externally with option doFree (or if it is internal file stream) .
| ~Message_PrinterOStream ()
Message_Gravity | GetTraceLevel () const
| Return trace level used for filtering messages; messages with lover gravity will be ignored. .
void | SetTraceLevel (const Message_Gravity theTraceLevel)
| Set trace level used for filtering messages. By default, trace level is Message_Info, so that all messages are output .
Standard_Boolean | GetUseUtf8 () const
| Returns option to convert non-Ascii symbols to UTF8 encoding .
void | SetUseUtf8 (const Standard_Boolean useUtf8)
| Sets option to convert non-Ascii symbols to UTF8 encoding .
Standard_OStream & | GetStream () const
| Returns reference to the output stream .
virtual Standard_EXPORT void | Send (const Standard_CString theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() .
virtual Standard_EXPORT void | Send (const TCollection_AsciiString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() .
virtual Standard_EXPORT void | Send (const TCollection_ExtendedString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() Non-Ascii symbols are converted to UTF-8 if UseUtf8 option is set, else replaced by symbols '?' .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Message_Gravity | myTraceLevel
Standard_Address | myStream
Standard_Boolean | myIsFile
Standard_Boolean | myUseUtf8

## Constructor & Destructor Documentation

Standard_EXPORT Message_PrinterOStream::Message_PrinterOStream | ( | const Message_Gravity | theTraceLevel = `Message_Warning` | ) |

Standard_EXPORT Message_PrinterOStream::Message_PrinterOStream | ( | const Standard_CString | theFileName,
|  | const Standard_Boolean | theDoAppend,
|  | const Message_Gravity | theTraceLevel = `Message_Warning`
| ) |

Message_PrinterOStream::~Message_PrinterOStream | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void Message_PrinterOStream::Close | ( |  | ) |

Standard_OStream & Message_PrinterOStream::GetStream | ( |  | ) | const`[inline]`

Message_Gravity Message_PrinterOStream::GetTraceLevel | ( |  | ) | const`[inline]`

Standard_Boolean Message_PrinterOStream::GetUseUtf8 | ( |  | ) | const`[inline]`

Standard_EXPORT const Message_PrinterOStream::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Message_Printer.

virtual Standard_EXPORT void Message_PrinterOStream::Send | ( | const TCollection_ExtendedString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) | const`[virtual]`

| Implements Message_Printer.

virtual Standard_EXPORT void Message_PrinterOStream::Send | ( | const TCollection_AsciiString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) | const`[virtual]`

| Reimplemented from Message_Printer.

virtual Standard_EXPORT void Message_PrinterOStream::Send | ( | const Standard_CString | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) | const`[virtual]`

| Reimplemented from Message_Printer.

void Message_PrinterOStream::SetTraceLevel | ( | const Message_Gravity | theTraceLevel | ) | `[inline]`

void Message_PrinterOStream::SetUseUtf8 | ( | const Standard_Boolean | useUtf8 | ) | `[inline]`

## Field Documentation

Standard_Boolean Message_PrinterOStream::myIsFile `[private]`

Standard_Address Message_PrinterOStream::myStream `[private]`

Message_Gravity Message_PrinterOStream::myTraceLevel `[private]`

Standard_Boolean Message_PrinterOStream::myUseUtf8 `[private]`

The documentation for this class was generated from the following files:

- Message_PrinterOStream.hxx
- Message_PrinterOStream.lxx